Subject: Re: Floppy code

From: [email-masked]

> timings in device drivers? I need to be able to do very short delays
> (3ms) in the floppy driver I have written. From what I understand the
> timeout() routine can do at best a delay of a few ticks which at 100
> HZ is somewhere around 20-30ms.

Hm, how accurate do those delays have to be? Would you be able to sleep on the
event, or would you have to poll? Problem is wakeup on CIA-A would generate
a pretty lowlevel interrupt, and you'd probably not be waked up in time.

-Markus
-- 
CHUUG/EUnet Switzerland				Markus Wild
Zweierstrasse 35	Tel: +41 1 291 45 80	[email-masked]
CH-8004 Zuerich		Fax: +41 1 291 46 42	S=mw;P=EUnet;A=EUnet;C=CH